Loading...
Searching...
No Matches
sctp.h File Reference
Core » Protocols

SCTP processing for data channels (headers). More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Detailed Description

SCTP processing for data channels (headers).

Author
  Lorenzo Miniero loren.nosp@m.zo@m.nosp@m.eetec.nosp@m.ho.c.nosp@m.om

Copyright
  GNU General Public License v3

Implementation (based on libusrsctp) of the SCTP Data Channels. The code takes care of the SCTP association between peers and the server, and allows for sending and receiving text messages (binary stuff yet to be implemented) after that.

Note
  Right now, the code is heavily based on the rtcweb.c sample code provided in the `usrsctp` library code, and as such the copyright notice that appears at the beginning of that code is ideally present here as well: http://code.google.com/p/sctp-refimpl/source/browse/trunk/KERN/usrsctp/programs/rtcweb.c

Protocols